import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class LinietegningIndre extends Applet
{
	// Selv private variabler har den indre klasse adgang til
	private Point trykpunkt = null;
	private Point slippunkt = null;

	public void init()
	{
		Linielytter lytter = new Linielytter();
		this.addMouseListener(lytter);
	}

	// En indre klasse
	class Linielytter implements MouseListener
	{
		public void mousePressed (MouseEvent event)
		{
			trykpunkt = event.getPoint();           // st variablen i det ydre objekt
		}

		public void mouseReleased (MouseEvent event)
		{
			slippunkt = event.getPoint();
			repaint();                              // kald det ydre objekts metode
		}

		public void mouseClicked (MouseEvent event) {} // krves af MouseListener
		public void mouseEntered (MouseEvent event) {} // krves af MouseListener
		public void mouseExited (MouseEvent event) {}  // krves af MouseListener
	}
	// slut p indre klasse

	// en metode i den ydre klasse
	public void paint (Graphics g)
	{
		if (trykpunkt != null && slippunkt != null)
			g.drawLine (trykpunkt.x, trykpunkt.y, slippunkt.x, slippunkt.y);
	}
}